Bug 1566421 - [RFE] Hostgroup should have Subscription Management option.
Summary: [RFE] Hostgroup should have Subscription Management option.
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Host Group
Version: 6.3.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: Unspecified
Assignee: satellite6-bugs
QA Contact: Mirek Długosz
URL:
Whiteboard:
Depends On:
Blocks: 1541321
TreeView+ depends on / blocked
 
Reported: 2018-04-12 09:48 UTC by Raviraj Lavande
Modified: 2019-08-12 16:29 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-01-31 18:29:04 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Raviraj Lavande 2018-04-12 09:48:31 UTC
1. What is the nature and description of the request?  

it's a technical feature request

2. Why would you need this? (List the business requirements here)

The hostgroup permits to centralize lots of settings relative to a server, such as the puppet environment, the realm, the capsule to be used, the default classes, the parameters, basically all the settings we need to define a server. It lacks the subscriptions part.
At the moment you can only attach subscriptions when registering a machine with some activation keys.

At the moment if you move a server between hostgroups it will change settings, for instance it will get different puppet modules, different parameters.
But it will not change subscriptions, for instance it will not change from standard to premium, it will not get more channels.

Hostgroup "umbrella" should be the way we keep machines in the same status

3. How would you like to achieve this? (List the functional requirements here)  

A new tab in the hostgroups/edit pane where you can attach products and subscriptions to hosts.

4. For each functional requirement listed, specify how you can test to confirm the requirement is successfully implemented.   

just check if yum repos are enables/subscription-manager reports correctly the newly added products

5. Do you have any specific timeline dependencies ?  

asap

6. Would you be able to assist in testing this functionality if implemented? 

yes

Comment 2 Bryan Kearney 2019-01-31 18:29:04 UTC
Thank you for your interest in Satellite 6. We have evaluated this request, and while we recognize that it is a valid request, we do not expect this to be implemented in the product in the foreseeable future. This is due to other priorities for the product, and not a reflection on the request itself. We are therefore closing this out as WONTFIX. If you have any concerns about this, please do not reopen. Instead, feel free to contact Red Hat Technical Support. Thank you.


Note You need to log in before you can comment on or make changes to this bug.